%define debug_package %{nil}

Name:           feroxbuster
Version:        2.3.3
Release:        1%{?dist}
Summary:        Recursive content discovery tool

License:        MIT
URL:            https://epi052.github.io/feroxbuster/
Source0:        https://github.com/epi052/feroxbuster/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  help2man

%description
Feroxbuster is a tool designed to perform Forced Browsing. Forced browsing is
an attack where the aim is to enumerate and access resources that are not
referenced by the web application, but are still accessible by an attacker.
Feroxbuster uses brute force combined with a wordlist to search for unlinked
content in target directories. These resources may store sensitive information
about web applications and operational systems, such as source code,
credentials, internal network addressing, etc.

%prep
%autosetup

sed -i 's|/usr/local|/usr|' Makefile
sed -i 's|debian/cargo.config|Cargo.toml|' Makefile

%build
%make_build

%install
%make_install

%files
%license LICENSE
%doc README.md CONTRIBUTING.md
%{_bindir}/feroxbuster
%{_datadir}/bash-completion/completions/feroxbuster.bash
%{_datadir}/fish/completions/feroxbuster.fish
%{_datadir}/zsh/vendor-completions/_feroxbuster
%{_mandir}/man1/feroxbuster.1.*
%config(noreplace) %{_sysconfdir}/feroxbuster/ferox-config.toml

%changelog
* Tue Oct 05 2021 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 2.3.3-1
- Initial package
